import logging

from rest_framework.generics import ListAPIView

from core.models.metanavi import MetaNavItem

from api.serializers import MetaNavItemSerializer
from api.views.mixins import ConferenceSlugMixin

logger = logging.getLogger(__name__)


class MetaNavView(ConferenceSlugMixin, ListAPIView):
    serializer_class = MetaNavItemSerializer

    def get_queryset(self, **kwargs):
        return MetaNavItem.objects.for_conference(self.conference)
