# Generated by Django 3.1.3 on 2020-11-19 16:02

import core.fields
from django.conf import settings
import django.contrib.postgres.fields
import django.contrib.postgres.indexes
import django.contrib.postgres.search
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0012_fixed_imagefields'),
    ]

    trigger_create = '''
        CREATE TRIGGER core_staticpage_searchvector_update BEFORE INSERT OR UPDATE
        ON core_staticpage FOR EACH ROW EXECUTE FUNCTION
        tsvector_update_trigger(search_vector, 'pg_catalog.english', search_content);
    '''
    trigger_remove = 'DROP TRIGGER core_staticpage_searchvector_update ON core_staticpage;'

    operations = [
        migrations.CreateModel(
            name='StaticPage',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('slug', models.SlugField()),
                ('page_group', models.CharField(blank=True, help_text='StaticPage__page_group__help', max_length=50, null=True, verbose_name='StaticPage__page_group')),
                ('public_revision', models.PositiveIntegerField(default=0, help_text='StaticPage__public_revision__help', verbose_name='StaticPage__public_revision')),
                ('title', models.CharField(help_text='StaticPage__title__help', max_length=200, verbose_name='StaticPage__title')),
                ('rendered_body', models.TextField(blank=True, editable=False, help_text='StaticPage__rendered_body__help', null=True, verbose_name='StaticPage__rendered_body')),
                ('search_content', models.TextField(blank=True, editable=False, null=True)),
                ('search_vector', django.contrib.postgres.search.SearchVectorField(blank=True, editable=False, null=True)),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='pages', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'StaticPage',
                'verbose_name_plural': 'StaticPages',
            },
        ),
        migrations.AddField(
            model_name='conferencemember',
            name='static_page_groups',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=50), blank=True, null=True, size=None),
        ),
        migrations.CreateModel(
            name='StaticPageRevision',
            fields=[
                ('revision', models.AutoField(primary_key=True, serialize=False)),
                ('title', models.CharField(help_text='StaticPageRevision__title__help', max_length=200, verbose_name='StaticPageRevision__title')),
                ('body', models.TextField(help_text='StaticPageRevision__body__help', verbose_name='StaticPageRevision__body')),
                ('is_draft', models.BooleanField(default=False, help_text='StaticPageRevision__is_draft__help', verbose_name='StaticPageRevision__is_draft')),
                ('timestamp', models.DateTimeField(auto_now_add=True, help_text='StaticPageRevision__timestamp__help', verbose_name='StaticPageRevision__timestamp')),
                ('author', models.ForeignKey(blank=True, help_text='StaticPageRevision__author__help', null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='StaticPageRevision__author')),
                ('page', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='revisions', to='core.staticpage')),
            ],
        ),
        migrations.AddConstraint(
            model_name='staticpagerevision',
            constraint=models.UniqueConstraint(fields=('page', 'revision'), name='page_revision'),
        ),
        migrations.AddIndex(
            model_name='staticpage',
            index=django.contrib.postgres.indexes.GinIndex(fields=['search_vector'], name='staticpage_searchvector'),
        ),
        migrations.AddConstraint(
            model_name='staticpage',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_conferencestaticpage_slug'),
        ),
        migrations.RunSQL(sql=trigger_create, reverse_sql=trigger_remove),
    ]
