# Generated by Django 3.1.3 on 2020-11-29 22:49

from django.db import migrations, models

from core.utils import generate_token


def gen_badge_tokens(apps, schema_editor):
    Badge = apps.get_model('core', 'Badge')

    # invoke .reset_token() on all badges without set token
    for badge in Badge.objects.all():
        if badge.issuing_token == '':
            badge.issuing_token = generate_token()
            badge.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0020_conference_timezone'),
    ]

    operations = [
        migrations.AddField(
            model_name='badge',
            name='issuing_token',
            field=models.CharField(default='', max_length=100),
            preserve_default=False,
        ),
        migrations.RunPython(gen_badge_tokens, reverse_code=migrations.RunPython.noop),
    ]
