# Generated by Django 4.2.6 on 2023-11-04 14:01

import core.fields
import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import uuid


def create_default_floor(apps, schema_editor):
    """ create a default floor per conference. """
    Conference = apps.get_model('core', 'Conference')
    MapFloor = apps.get_model('core', 'MapFloor')
    for c in Conference.objects.all():
        floor = MapFloor(conference=c, index=0, name='Default')
        floor.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0117_conference_support_channels'),
    ]

    operations = [
        migrations.CreateModel(
            name='MapFloor',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('index', models.SmallIntegerField(help_text='MapFloor__index__help', verbose_name='MapFloor__index')),
                ('name', models.CharField(help_text='MapFloor__name__help', max_length=200, unique=True, verbose_name='MapFloor__name')),
                ('name_de', models.CharField(help_text='MapFloor__name__help', max_length=200, null=True, unique=True, verbose_name='MapFloor__name')),
                ('name_en', models.CharField(help_text='MapFloor__name__help', max_length=200, null=True, unique=True, verbose_name='MapFloor__name')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='map_floors', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'MapFloor',
                'verbose_name_plural': 'MapFloors',
            },
        ),
        migrations.AlterModelOptions(
            name='conferencemember',
            options={'permissions': [('assembly_team', 'ConferenceMember__permission-assembly_team'), ('channel_team', 'ConferenceMember__permission-channel_team'), ('static_pages', 'ConferenceMember__permission-static_pages'), ('map_edit', 'ConferenceMember__permission-map_edit'), ('platformusers', 'Orga: Users List'), ('rename_platformuser', 'Orga: Rename User'), ('block_platformuser', 'ConferenceMember__permission-block_platformuser'), ('change_conferencemember__active_angel', 'ConferenceMember__permission-change_conferencemember__active_angel'), ('view_platformuser__guardian', 'ConferenceMember__permission-view_platformuser__guardian'), ('voucher_admin', 'ConferenceMember__permission-voucher_admin'), ('scheduleadmin', 'ConferenceMember__permission-scheduleadmin'), ('workadventure_admin', 'ConferenceMember__permission-workadventure_admin')]},
        ),
        migrations.CreateModel(
            name='MapPOI',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('visible', models.BooleanField(default=True, help_text='MapPOI__visible__help', verbose_name='MapPOI__visible')),
                ('name', models.CharField(help_text='MapPOI__name__help', max_length=200, unique=True, verbose_name='MapPOI__name')),
                ('name_de', models.CharField(help_text='MapPOI__name__help', max_length=200, null=True, unique=True, verbose_name='MapPOI__name')),
                ('name_en', models.CharField(help_text='MapPOI__name__help', max_length=200, null=True, unique=True, verbose_name='MapPOI__name')),
                ('description', models.TextField(blank=True, help_text='MapPOI__description__help', null=True, verbose_name='MapPOI__description')),
                ('description_de', models.TextField(blank=True, help_text='MapPOI__description__help', null=True, verbose_name='MapPOI__description')),
                ('description_en', models.TextField(blank=True, help_text='MapPOI__description__help', null=True, verbose_name='MapPOI__description')),
                ('description_html', models.TextField(blank=True)),
                ('description_html_de', models.TextField(blank=True, null=True)),
                ('description_html_en', models.TextField(blank=True, null=True)),
                ('is_official', models.BooleanField(default=False, help_text='MapPOI__is_official__help', verbose_name='MapPOI__is_official')),
                ('location_point', django.contrib.gis.db.models.fields.PointField(blank=True, help_text='MapPOI__location_point__help', null=True, srid=4326, verbose_name='MapPOI__location_point')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='pois', to='core.conference', verbose_name='Conference__reference')),
                ('location_floor', models.ForeignKey(blank=True, help_text='MapPOI__location_floor__help', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='pois', to='core.mapfloor', verbose_name='MapPOI__location_floor')),
            ],
            options={
                'verbose_name': 'MapPOI',
                'verbose_name_plural': 'MapPOIs',
            },
        ),
        migrations.AddField(
            model_name='assembly',
            name='location_floor',
            field=models.ForeignKey(blank=True, help_text='Assembly__location_floor__help', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='assemblies', to='core.mapfloor', verbose_name='Assembly__location_floor'),
        ),
    ]
