from types import MethodType

from django.db import connections
from django_rich.test import RichRunner


def prepare_database(self):
    self.connect()


class PostgresSchemaTestRunner(RichRunner):
    def setup_databases(self, **kwargs):
        for connection_name in connections:
            connection = connections[connection_name]
            connection.prepare_database = MethodType(prepare_database, connection)
        return super().setup_databases(**kwargs)
