from oauth2_provider import views

from django.urls import re_path

from .views import sso as sso_views

app_name = 'oauth2_provider'
urlpatterns = [
    # General Authorization Endpoint
    re_path(r'^authorize/$', sso_views.AuthorizeView.as_view(), name='authorize'),
    # provide (or revoke/renew) access tokens
    re_path(r'^token/$', views.TokenView.as_view(), name='token'),
    re_path(r'^revoke_token/$', views.RevokeTokenView.as_view(), name='revoke-token'),
    # check an existing token, needs 'introspection' scope
    re_path(r'^introspect/$', sso_views.IntrospectTokenView.as_view(), name='introspect'),
    # static page for OOB token transmission
    re_path(r'^out-of-band-display-token/$', sso_views.OutOfBandDisplayTokenView.as_view(), name='out-of-band-display-token'),
]
