// wait until document is loaded
var docReady = (callback) => {
  if (document.readyState != "loading") callback();
  else document.addEventListener("DOMContentLoaded", callback);
};

docReady(() => {
  // one click listener to rule them all :)
  document.addEventListener("click", function onclicked(e) {
    documentClicked(e);
  });

  // hide all possible toggle targets
  document.querySelectorAll("[data-rc3-tog-target]").forEach(function (target) {
    target.classList.add("d-none");
  });

  // show all toggle buttons
  document.querySelectorAll("[data-rc3-tog-btn]").forEach(function (target) {
    target.classList.remove("d-none");
  });
});

// one click listener to rule them all
function documentClicked(e) {
  // toggle visibility of buttons
  if (e.target.hasAttribute("data-rc3-tog-btn") && e.target.hasAttribute("data-rc3-tog-stat")) {
    e.preventDefault();
    if (e.target.dataset.rc3TogStat == 0) {
      document.querySelectorAll(`[data-rc3-tog-target="${e.target.dataset.rc3TogBtn}"]`).forEach(function (target) {
        target.classList.remove("d-none");
      });
      e.target.dataset.rc3TogStat = 1;
    } else {
      document.querySelectorAll(`[data-rc3-tog-target="${e.target.dataset.rc3TogBtn}"]`).forEach(function (target) {
        target.classList.add("d-none");
      });
      e.target.dataset.rc3TogStat = 0;
    }
  }
}
