# Hub Tests

Please note: the scripts in this folder are used in the CI build to verify a built docker image, i.e. are primarily **sanity or integration checks**.
There are more in-depth technical tests in the individual Django apps' tests folders.

The tests are done with Python's unittest framework and the requests library.
You may assume the following environment variables:

- `BASE_URL` with protocol and hostname of the testee's location, e.g. `http://hubapp`
- `DJANGO_CREATE_ADMIN_USERNAME` with the username of a superuser
- `DJANGO_CREATE_ADMIN_PASSWORD` with the corresponding password
- `SERVE_API`, `SERVE_BACKOFFICE` and `SERVE_FRONTEND` as in the Docker environment (see [hub.settings.default](/src/hub/settings/default.py))

To run all tests execute `SERVE_API=yes SERVE_BACKOFFICE=yes SERVE_FRONTEND=yes python3 -m unittest -v` (in this directory).
